Subject: Re: [XCON] Partial notifications for the XCON event package

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 15 Feb 2008 19:31:32 +0200

Hi Roni,

I never got an answer from my email below. In any case, I have talked to 
Oscar, and he is OK with defining a new MIME type. I will edit the draft 
accordingly. I will be submitting the draft before the 00 cut-off.

Cheers,

Gonzalo

Gonzalo Camarillo wrote:
> Hi Roni,
> 
> I am not arguing either way. I just want to understand the issues 
> involved before we make a decision. Can you elaborate on the size 
> problem you hint at below? What is the actual problem you have in mind?
> 
> Thanks,
> 
> Gonzalo
> 
> Even, Roni wrote:
>> Gonzalo,
>> It is not only a bandwidth problem. It is also a size problem (big 
>> conferences). So why not keep the two different MIME types as in the 
>> current draft
>> Roni
>>
>>> -----Original Message-----
>>> From: Gonzalo Camarillo [mailto:[email-masked]]
>>> Sent: Wednesday, January 30, 2008 7:12 PM
>>> To: Even, Roni
>>> Cc: Oscar Novo; XCON
>>> Subject: Re: [XCON] Partial notifications for the XCON event package
>>>
>>> Hi Roni,
>>>
>>> the problem with reusing the old MIME type for full XCON notifications
>>> is that a server may send notifications with a set of XML elements the
>>> legacy client will not understand (i.e., the new elements defined by the
>>> XCON data model). The client will ignore them and everything will work
>>> fine. However, bandwidth will be wasted because all those new elements
>>> will be transmitted to simply be ignored at their destination. Do you
>>> see any other problem in addition to this bandwidth problem?
>>>
>>> Thanks,
>>>
>>> Gonzalo
>>>
>>> Even, Roni wrote:
>>>> Gonzalo,
>>>> The concern was that the server needs to allow SIPPING client 
>>>> supporting
>>> the current event package and XCON client supporting the new data
>>> structure to receive notifications.
>>>> The full notification will be different for the two cases since there
>>> are different data models. So my view is that you need two different 
>>> types
>>> enabling to request full notification for SIPPING and for XCON users
>>>>
>>>> Roni
>>>>
>>>>> -----Original Message-----
>>>>> From: Gonzalo Camarillo [mailto:[email-masked]]
>>>>> Sent: Wednesday, January 30, 2008 7:00 PM
>>>>> To: Oscar Novo
>>>>> Cc: XCON
>>>>> Subject: Re: [XCON] Partial notifications for the XCON event package
>>>>>
>>>>> Hi,
>>>>>
>>>>> the current event package draft has a whole section explaining why a
>>> new
>>>>> MIME type is needed. The reason it gives is the presence of state
>>>>> attributes in new elements. However, if we do not define new state
>>>>> attributes by use xml patch operations instead, we could reuse the old
>>>>> MIME type, as you suggest. Of course, we would need to define a new 
>>>>> one
>>>>> for partial notifications based on xml patch operations.
>>>>>
>>>>> Does anybody else have an opinion on this issue?
>>>>>
>>>>> Cheers,
>>>>>
>>>>> Gonzalo
>>>>>
>>>>>
>>>>> Oscar Novo wrote:
>>>>>> Yes, I believe we should use the same MIME type as in RFC4575 and a
>>>>>> different MIME type for the 'xml patch operation' option.
>>>>>>
>>>>>> Oscar
>>>>>>
>>>>>>> what do you exactly mean by "100% backward compatible"? Do you mean
>>>>> that
>>>>>>> we should be using the same MIME type as in RFC 4575?
>>>>>>>
>>>>>>> Cheers,
>>>>>>>
>>>>>>> Gonzalo
>>>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> XCON mailing list
>>>>> [email-masked]
>>>>> https://www1.ietf.org/mailman/listinfo/xcon
>>
> 
> 
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 

_______________________________________________
XCON mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/xcon

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 16 Feb 2008 09:49:24 +0200

Folks,

I have just submitted a new version of the event package draft. Until it 
appears in the archives (00 submissions of WG items require chair 
approval), you can fetch it from:

http://www.ietf.org/proceedings/staging/draft-ietf-xcon-event-package-00.txt

Cheers,

Gonzalo